%def_enable static

Name: mjpegtools
Version: 1.6.2
Release: alt1.1

Summary: Tools for recording, editing, playing back mpeg-encoding video under linux
License: GPL
Group: Video
Url: http://mjpeg.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/mjpeg/%name-%version.tar.gz
Patch: %name-1.6.2-alt-build.patch
Patch1: %name-1.6.1.90-alt-info.patch

%define libdv_ver 0.102
%define popt_ver 1.7-alt5
%define jpeg_mmx_ver 0.1.5

Requires: lib%name = %version-%release 
Requires: libdv >= %libdv_ver
Requires: libpopt >= %popt_ver
Requires(post): %install_info
Requires(preun): %uninstall_info

BuildPreReq: libpopt-devel >= %popt_ver
BuildPreReq: libdv >= %libdv_ver
BuildPreReq: libjpeg-mmx-devel >= %jpeg_mmx_ver

# Automatically added by buildreq on Fri Feb 13 2004
BuildRequires: XFree86-devel-static XFree86-libs esound gcc-c++ gcc-g77 glib-devel gtk+-devel libSDL-devel libdv-devel libjpeg-mmx-devel libpng-devel libquicktime-devel libstdc++-devel nasm zlib-devel

%description
The MJPEG-tools are a basic set of utilities for recording, editing,
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%ifarch %ix86
NOTE:
The resultant binaries will ***NOT*** run on a K6 or Pentium CPU
%endif

%package -n lib%name
Summary: Shared libraries for the mjpegtools
Group: System/Libraries
Obsoletes: %name-libs
Provides: %name-libs = %version-%release

%description -n lib%name
This package contains shared libraries needed to run mjpegtools.

%ifarch %ix86
NOTE:
This binaries does ***NOT*** compatible with a K6 or Pentium CPU
%endif

%package -n lib%name-devel
Summary: Development headers and libraries for the mjpegtools
Group: Development/C
Obsoletes: %name-devel
Provides: %name-devel = %version-%release
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains libraries and header files needed to compile
applications that use part of the libraries of the mjpegtools package.

%package -n lib%name-devel-static
Summary: Static libraries for the mjpegtools
Group: Development/C
Obsoletes: %name-static-libs
Provides: %name-static-libs = %version-%release
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries needed to compile applications
that use part of the libraries of the mjpegtools package.

%ifarch %ix86
NOTE:
This binaries does ***NOT*** compatible with a K6 or Pentium CPU
%endif

%set_verify_elf_method textrel=relaxed

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake -a -c
%__autoconf

%configure \
	%{subst_enable static} \
	--with-quicktime \
	--enable-large-file \
	--enable-cmov-extension \
	--with-dv-yv12 \
%ifarch %ix86
	--enable-simd-accel
%endif

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_infodir/dir

%post
%install_info mjpeg-howto.info

%preun
%uninstall_info mjpeg-howto.info

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%exclude %_bindir/*-config
%doc AUTHORS BUGS CHANGES HINTS PLANS README TODO
%_man1dir/*
%_infodir/*.info*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_man5dir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.2-alt1.1
- rebuild with libdv-0.102

* Sun Feb 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.2-alt1
- 1.6.2

* Sun Jan 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1.93-alt1
- new version.

* Tue Dec 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1.92-alt1
- 1.6.1.92
- do not package .la files.

* Mon Sep 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1.90-alt2
- mjpegtools-devel requires mjpegtools-static-libs (fix #3024).

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1.90-alt1
- 1.6.1.90

* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt3
- Rebuilt with new libdirectfb.

* Sun Sep 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt2
- rebuild with new libdv (0.98), XFree86. 
- gcc-3.2 used.
- buildrequires updated.

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0 release. 

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt0.5rc2
- First build for Sisyphus.
